## cdemu-daemon 3.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(cdemu-daemon VERSION 3.2.6 LANGUAGES C)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Versioning
set(CDEMU_DAEMON_INTERFACE_VERSION_MAJOR 7)
set(CDEMU_DAEMON_INTERFACE_VERSION_MINOR 0)

# CMake modules
include(GNUInstallDirs)

# Dependencies
find_package(PkgConfig 0.16 REQUIRED)
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)

pkg_check_modules(LIBMIRAGE REQUIRED libmirage>=3.2.0 IMPORTED_TARGET)
pkg_check_modules(GLIB REQUIRED glib-2.0>=2.38 gobject-2.0>=2.38 gthread-2.0>=2.38 gio-2.0>=2.38 IMPORTED_TARGET)
pkg_check_modules(AO REQUIRED ao>=0.8.0 IMPORTED_TARGET)

# Global definitions
set(CMAKE_C_STANDARD 99) # Enable C99

if(CMAKE_COMPILER_IS_GNUCC)
    # Enable additional warnings
    add_definitions(-Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align)
    add_definitions(-Wno-cast-function-type)
endif()

# Config file
configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# *** cdemu-daemon ***
set(cdemu-daemon_SOURCES
    src/audio.c
    src/daemon.c
    src/daemon-dbus.c
    src/device.c
    src/device-commands.c
    src/device-delay.c
    src/device-disc-structures.c
    src/device-features.c
    src/device-kernel-io.c
    src/device-load.c
    src/device-mapping.c
    src/device-mode-pages.c
    src/device-recording.c
    src/error.c
    src/main.c
)

add_executable(cdemu-daemon ${cdemu-daemon_SOURCES})

target_link_libraries(cdemu-daemon PRIVATE PkgConfig::GLIB)
target_link_libraries(cdemu-daemon PRIVATE PkgConfig::LIBMIRAGE)
target_link_libraries(cdemu-daemon PRIVATE PkgConfig::AO)

# Installation
install(TARGETS cdemu-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES man/cdemu-daemon.8 DESTINATION ${CMAKE_INSTALL_MANDIR}/man8)

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** CDEmu daemon v.${PROJECT_VERSION} configuration summary ***")
message(STATUS "Compiler and build info:")
message(STATUS " C compiler: " ${CMAKE_C_COMPILER} ${CMAKE_C_COMPILER_ARG1})
message(STATUS " C flags (Release): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_RELEASE})
message(STATUS " C flags (Debug): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_DEBUG})
message(STATUS " build type: " ${CMAKE_BUILD_TYPE})
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS "")

=== debian/changelog ===
cdemu-daemon (3.2.6-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Mar 2024 21:25:00 -0800

cdemu-daemon-dmo (3.2.6-dmo3) unstable; urgency=medium

  * Increase libmirage-plugin version to 1:3.2.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Feb 2023 11:35:51 +0100

cdemu-daemon-dmo (3.2.6-dmo2) unstable; urgency=medium

  * Fix postinst and prerm scripts with missing functions.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Feb 2023 18:48:34 +0100

cdemu-daemon-dmo (3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Dec 2021 09:19:44 +0100

cdemu-daemon-dmo (3.2.5-dmo3) unstable; urgency=medium

  * Should Depends on libmirage-plugin
  * Install systemd and dbus service example files (Thanks to  Ильяс Гасанов
    for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 11:04:13 +0100

cdemu-daemon-dmo (3.2.5-dmo2) unstable; urgency=medium

  * Increase libmirage-dev version in Build-Dependency to 3.2.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 14:25:47 +0200

cdemu-daemon-dmo (3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 14:14:29 +0200

cdemu-daemon-dmo (3.2.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 11:01:03 +0100

cdemu-daemon-dmo (3.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:32:21 +0200

cdemu-daemon-dmo (3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 10:53:41 +0100

cdemu-daemon-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 15:21:10 +0200

cdemu-daemon-dmo (3.1.0-dmo3) unstable; urgency=medium

  * Must depends on procps for pkill call in prerm script (Thanks Andreas
    Beckmann for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jul 2017 16:11:17 +0200

cdemu-daemon-dmo (3.1.0-dmo2) unstable; urgency=medium

  * Add intltool in Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 16:40:15 +0200

cdemu-daemon-dmo (3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 09:42:10 +0200

cdemu-daemon-dmo (3.0.5-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 15:19:03 +0100

cdemu-daemon-dmo (3.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 17:23:33 +0200

cdemu-daemon-dmo (3.0.4-dmo2) unstable; urgency=medium

  * Removed unused code in postinst and prerm scripts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Jan 2016 10:37:00 +0100

cdemu-daemon-dmo (3.0.4-dmo1) unstable; urgency=medium

  * Uplaod to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 14:07:55 +0100

cdemu-daemon (3.0.4-1) debian; urgency=low

  * Updated to 3.0.4

 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Mon, 21 Dec 2015 12:00:00 +0100

cdemu-daemon (3.0.3-1) debian; urgency=low

  * Updated to 3.0.3
  * Discontinue setting GID on the executable.

 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Sat, 21 Nov 2015 12:00:00 +0100

cdemu-daemon (3.0.2-1) debian; urgency=low

  * 01-dbus-config.diff: Patch D-BUS configuration.
  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_LIBEXECDIR:PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*cdemu-daemon-(.+)@ARCHIVE_EXT@

## cdemu-daemon 3.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(cdemu-daemon VERSION 3.2.6 LANGUAGES C)
+project(cdemu-daemon VERSION 3.2.7 LANGUAGES C)
 
 # Additional CMake modules
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== debian/changelog ===
cdemu-daemon (3.2.7-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Oct 2024 18:07:06 -0700

cdemu-daemon (3.2.7-2) unstable; urgency=medium

  * debian/control:
    - Move vhba-dkms dependency to Recommends field to avoid removing
      CDEmu daemon and client packages, if just the VHBA kernel module
      has issues (closes: #1084760). Thanks to Christoph Anton Mitterer
      <calestyo@scientia.org> for the suggestion.
  * debian/patches/00_hardening-flags.patch:
    - Add env variables CPPFLAGS and CFLAGS to compiler options and
      LDFLAGS to linker options, to fix hardening Lintian warning
      (bindnow).
  * debian/patches/00_ldflags.patch:
    - Delete old patch, replaced by 00_hardening-flags.patch.
  * debian/rules:
    - Change from bindnow hardening flag to all.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 12 Oct 2024 13:44:25 +0200

cdemu-daemon (3.2.7-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches/00_ldflags.patch:
    - Add env variable LDFLAGS to linker options, in CMakeLists.txt,
      to fix hardening Lintian warning (bindnow).
  * debian/rules:
    - Add bindnow hardening flag.
    - Remove empty dh_auto_test override.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 03 Aug 2024 15:14:45 +0200

cdemu-daemon (3.2.6-3) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.daemon.metainfo.xml:
    - Add developer.
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 25 May 2024 12:35:26 +0200

cdemu-daemon (3.2.6-2) unstable; urgency=low

  * debian/appstream/net.sf.cdemu.daemon.metainfo.xml:
    - Change version requirement for libmirage to 3.0.0.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 21 Mar 2024 14:05:38 +0100

cdemu-daemon (3.2.6-1) unstable; urgency=low

  * Initial release, closes: #983451.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 03 Feb 2024 13:58:53 +0100

=== debian/control ===
Source: cdemu-daemon
Section: misc
Priority: optional
Homepage: https://cdemu.sourceforge.io/
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: cmake (>= 3.7.0),
               debhelper-compat (= 13),
               intltool,
               libao-dev (>= 0.8.0),
               libglib2.0-dev (>= 2.38),
               libmirage-dev (>= 3.2.0)
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: cdemu-daemon
Architecture: any
Depends: dbus-user-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: vhba-dkms (>= 20170610)
Description: Main CDEmu daemon
 This is CDEmu daemon, the daemon part of the CDEmu suite,
 a free, GPL CD/DVD-ROM device emulator for Linux.
 .
 It receives SCSI commands from kernel module and processes them, passing the
 requested data back to the kernel. Daemon implements the actual virtual
 device; one instance per each device registered by kernel module. It uses
 libMirage, an image access library that is part of CDEmu suite, for
 the image access (e.g. sector reading).
 .
 The daemon registers itself on D-BUS' system or session bus (depending on the
 options passed to it) where it exposes an interface that can be used by
 clients to control it.
